summaryrefslogtreecommitdiffstats
path: root/audio
diff options
context:
space:
mode:
author Tim Dickson (Timsoft)2019-02-09 01:35:12 +0100
committer Willy Sudiarto Raharjo2019-02-09 01:35:12 +0100
commit0d8632063d9540fe72240bd8d54d938ea21148de (patch)
tree04fc70d28022cba67551b7331e365a492276888a /audio
parent6d99779a970d7ecba48d526e8dc819c452155c8a (diff)
downloadslackbuilds-0d8632063d9540fe72240bd8d54d938ea21148de.tar.gz
audio/gusersoundfont: Added (A sound font).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'audio')
-rw-r--r--audio/gusersoundfont/README15
-rw-r--r--audio/gusersoundfont/gusersoundfont.SlackBuild64
-rw-r--r--audio/gusersoundfont/gusersoundfont.info10
-rw-r--r--audio/gusersoundfont/slack-desc19
4 files changed, 108 insertions, 0 deletions
diff --git a/audio/gusersoundfont/README b/audio/gusersoundfont/README
new file mode 100644
index 0000000000..cac98e7461
--- /dev/null
+++ b/audio/gusersoundfont/README
@@ -0,0 +1,15 @@
+This contains the GeneralUSer GS soundfont, which is stored in
+/usr/share/sounds/sf2
+
+To use it with VLC compiled with fluidsynth, open vlc, go to
+tools-preferences-input codecs, click on "all" for show settings
+then under input/codecs, click audio codecs, Click FLuidsynth,
+ then on the right, click Browse, and look in
+/usr/share/sounds/sf2 for your soundfont. Click save. VLC can now
+play midi files
+
+To use it with MuseScore, open MuseScore, select edit-preferences
+click on the icon next to soundfonts. click add, and select the
+/usr/share/sounds/sf2 folder, and click choose. and then click Apply.
+Then Click View, Synthesizer, click add, and select the soundfont.
+click set as default, and click save.
diff --git a/audio/gusersoundfont/gusersoundfont.SlackBuild b/audio/gusersoundfont/gusersoundfont.SlackBuild
new file mode 100644
index 0000000000..a2bbc60579
--- /dev/null
+++ b/audio/gusersoundfont/gusersoundfont.SlackBuild
@@ -0,0 +1,64 @@
+#!/bin/sh
+# Slackware build script for gusersoundfont (general user soundfont)
+#
+# Copyright 2019 Tim Dickson, email: dickson dot tim at googlemail.com
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=gusersoundfont
+VERSION=${VERSION:-1.471}
+ZIPNAME="GeneralUser_GS_"$VERSION".zip"
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+#this is a data package so no arch
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf "GeneralUser GS $VERSION"
+DATADEST="/usr/share/sounds/sf2"
+mkdir -p $PKG$DATADEST
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+unzip "$CWD/$ZIPNAME"
+cd "GeneralUser GS $VERSION"
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+#move the soundfont to the right place and
+#we remove spaces in files names.
+cp "GeneralUser GS v$VERSION.sf2" $PKG${DATADEST}/GeneralUser_GS_v$VERSION.sf2
+cp CHANGELOG.txt README.txt LICENSE.txt $PKG/usr/doc/$PRGNAM-$VERSION/
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/audio/gusersoundfont/gusersoundfont.info b/audio/gusersoundfont/gusersoundfont.info
new file mode 100644
index 0000000000..a58b9402d8
--- /dev/null
+++ b/audio/gusersoundfont/gusersoundfont.info
@@ -0,0 +1,10 @@
+PRGNAM="gusersoundfont"
+VERSION="1.471"
+HOMEPAGE="http://www.schristiancollins.com/generaluser.php"
+DOWNLOAD="https://www.dropbox.com/s/4x27l49kxcwamp5/GeneralUser_GS_1.471.zip"
+MD5SUM="5eaa95224f6080864cf6aedc1c9820a6"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Tim Dickson (Timsoft)"
+EMAIL="dickson.tim@googlemail.com"
diff --git a/audio/gusersoundfont/slack-desc b/audio/gusersoundfont/slack-desc
new file mode 100644
index 0000000000..71dc28a3cc
--- /dev/null
+++ b/audio/gusersoundfont/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+gssoundfont: gssoundfont (A sound font)
+gssoundfont:
+gssoundfont: This is a soundfont created by S.Christian Collins
+gssoundfont: it is for use with fluidsynth 1.0.9 or later, apps built with
+gssoundfont: fluidsynth (eg vlc), MuseScore, and a number of other related
+gssoundfont: software programs. It is licensed under a permisive license
+gssoundfont: which allows use for personal and comercial production.
+gssoundfont:
+gssoundfont: http://www.schristiancollins.com/generaluser.php
+gssoundfont:
+gssoundfont: